<?php 
$title = 'Добавление кода -%';
include_once '../../sys/fnc.php';
include_once '../../sys/head.php';
echo '<div class="menu_link"> Управление промо-кодами </div>
<div class="post0">';
///////////////////////////////
if ($user->position != 'admin') header('location: /');

if ($user->position == 'admin'){

// Удаление
if (isset($_GET['del'])) {

if (isset($_POST['ok'])) {
$code = mysql_fetch_assoc(mysql_query("SELECT * FROM `discount_code` WHERE `id` = '". intval($_GET['del']) ."' LIMIT 1"));
mysql_query("DELETE FROM `discount_code` WHERE `id` = '". $code['id'] ."'");
header('Location: discount_code.php');
exit;
}

echo '
<div class="post">
<form method="post">
Вы уверены что хотите удалить этот код?<br>
<input type="submit" name="ok" value="Да">
</form>
</div>';
}

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `discount_code`"),0);
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
if ($k_post==0)echo "<div class='err'><center>Список пустой</center></div>";
/////////////////////////////////////////
$query = mysql_query("SELECT * FROM `discount_code` ORDER BY id DESC LIMIT $start, 10");
while ($code_w = mysql_fetch_assoc($query)){			
echo '<div class="menu">';
echo ' Код: <b>'.htmlspecialchars($code_w['code']).'</b><br> Скидка: '.intval($code_w['discount']).'%<br />';
if ($user->position == 'admin')echo ' <a href="?del='.$code_w['id'].'">Удалить</a>';
echo '</div>';
}
/////////////////////////////////////////
if ($k_page > 1){
echo '<div class="menu"><center>';
str('?',$k_page,$page); // генерируем постраничную навигацию
echo '</center></div>';
}

switch ($_GET['act']) {
default:
echo '<div class="post"><form action="?act=do" method="post">
Название кода:<br /><input name="code" type="text" maxlength="32" value="'.generate_password().'" /><br />
Скидка:<br /><input name="discount" type="text" maxlength="3" />%<br />
<input type="submit" value="Добавить"/></form></div>';
echo "<div class='title'>» <a href='/admin'> <b>Назад в админку</b></a></div>";
include_once '../../sys/foot.php';
break;
///////////////////////////////	
case 'do':
$code = mysql_real_escape_string($_POST['code']);
$discount = intval($_POST['discount']);
# проверяем, введено ли название
if (empty($_POST['code'])) {
echo '<div class="err">Вы не ввели название!<br /></div>';
echo "<div class='title'>» <a href='/admin'> <b>Назад в админку</b></a></div>";
include_once '../../sys/foot.php';
break;
}
///////////////////////////////
# проверяем длину названия
if (strlen($code) < 1 or strlen($code) > 31) {
echo '<div class="err">Неверная длинна названия!<br /></div>';
echo "<div class='title'>» <a href='/admin'> <b>Назад в админку</b></a></div>";
include_once '../../sys/foot.php';
break;
}
///////////////////////////////
# проверяем длину текста
if (strlen($discount) < 1 or strlen($discount) > 32) {
echo '<div class="err">Ошибка в поле "Скидка в %"<br /></div>';
echo "<div class='title'>» <a href='/admin'> <b>Назад в админку</b></a></div>";
include_once '../../sys/foot.php';
break;
}
# Проверка есть ли такой код
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `discount_code` WHERE `code` = '". $code ."'"),0)==1){
echo '<div class="err">Ошибка<br />Такой код уже есть!</div>';
echo "<div class='title'>» <a href='/admin'> <b>Назад в админку</b></a></div>";
include_once '../../sys/foot.php';
break;
}
///////////////////////////////
mysql_query("INSERT INTO `discount_code` SET `code` = '$code', `discount` = '$discount'");
///////////////////////////////
echo '<div class="err">Вы успешно код</div>';
header('location: discount_code.php');
include_once '../../sys/foot.php';

session_destroy();
break;
}
}
///////////////////////////////
?>